Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class CutsInfo

    java.lang.Object
      net.sf.jasperreports.engine.export.CutsInfo

    public class CutsInfo

extends java.lang.Object

Utility class used by grid exporters to create a grid for page layout.

Version:
  $Id: CutsInfo.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static int` | `USAGE_BREAK`
`static int` | `USAGE_NOT_EMPTY`
`static int` | `USAGE_SPANNED`

Constructor Summary
`CutsInfo()`
`CutsInfo(int lastCut)`

Method Summary
`protected boolean` | `addCut(int cut)`
`void` | `addUsage(int index, int usage)`
`void` | `addXCuts(JRPrintElement element, int offset)`
`void` | `addYCuts(JRPrintElement element, int offset)`
`int` | `getCut(int index)`
`java.util.List` | `getCuts()`
`int` | `getFirstCut()`
`int` | `getLastCut()`
`int` | `getTotalLength()`
`boolean` | `hasCuts()`
`int` | `indexOfCut(int cut)`
`boolean` | `isBreak(int index)`
`boolean` | `isCutNotEmpty(int index)` Decides whether a cut is empty or not.
`boolean` | `isCutSpanned(int index)` Decides whether a cut is occupied by spanning cells or not.
`int` | `size()`
`void` | `use()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USAGE_NOT_EMPTY

    public static final int USAGE_NOT_EMPTY

See Also:
  Constant Field Values

### USAGE_SPANNED

    public static final int USAGE_SPANNED

See Also:
  Constant Field Values

### USAGE_BREAK

    public static final int USAGE_BREAK

See Also:
  Constant Field Values

Constructor Detail

### CutsInfo

    public CutsInfo()

### CutsInfo

    public CutsInfo(int lastCut)

Method Detail

### getCuts

    public java.util.List getCuts()

### size

    public int size()

### use

    public void use()

### getCut

    public int getCut(int index)

### addXCuts

    public void addXCuts(JRPrintElement element,
                         int offset)

### addYCuts

    public void addYCuts(JRPrintElement element,
                         int offset)

### addCut

    protected boolean addCut(int cut)

### addUsage

    public void addUsage(int index,
                         int usage)

### indexOfCut

    public int indexOfCut(int cut)

### isCutNotEmpty

    public boolean isCutNotEmpty(int index)

  Decides whether a cut is empty or not.

  Parameters:
    `index` - the cut index
  Returns:
    `true` if and only if the cut is not empty

### isCutSpanned

    public boolean isCutSpanned(int index)

  Decides whether a cut is occupied by spanning cells or not.

  Parameters:
    `index` - the cut index
  Returns:
    `true` if and only if the cut is not empty

### isBreak

    public boolean isBreak(int index)

### hasCuts

    public boolean hasCuts()

### getFirstCut

    public int getFirstCut()

### getLastCut

    public int getLastCut()

### getTotalLength

    public int getTotalLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com